open Objets_graphiques;;
open Construction;;
open Fonctions;;
open Interface;;

exception ByeBye;;

type etat_automate =
  | NONE
  | POINT_CLIQUE
;;

class type t_automate =
object
  method fenetre : fenetre_principale
  method callback_clavier : GdkEvent.Key.t -> bool
  method callback_souris : GdkEvent.Button.t -> bool
  method callback_expose : GdkEvent.Expose.t -> bool
  method incremente_numero_point : unit
  method incremente_numero_droite : unit
  method incremente_numero_cercle : unit
  method incremente_numero_vecteur : unit
  method reinitialise_numero_point : unit
  method reinitialise_numero_droite : unit
  method reinitialise_numero_cercle : unit
  method reinitialise_numero_vecteur : unit
					   
  method nom_nouveau_point : string
  method nom_nouveau_droite : string
  method nom_nouveau_cercle : string
  method nom_nouveau_vecteur : string

  method repere_automate : t_repere
  method change_repere : t_repere -> unit

  method evenement_clavier : string -> unit
  method evenement_souris : t_coords_int -> unit
    
  method ajouter_objet_liste : t_objet_graphique ref -> unit
  method enlever_objet_liste : t_objet_graphique ref -> unit
  method redessine_figure : unit -> unit
end;;  

class automate : t_automate;;

