open Objets_graphiques;;
open Fonctions;;

type t_construction_list = (t_objet_graphique ref) list;;

val ajouter_objet :
  t_objet_graphique ref -> t_construction_list -> t_construction_list;;

val dependances : (t_objet_graphique ref -> bool) ->
  t_objet_graphique ref -> bool;;

val marque_elts_liste :
  (t_objet_graphique ref -> bool) -> (t_objet_graphique ref -> unit)
    -> t_objet_graphique ref -> unit;;

val enlever_objet :
  t_objet_graphique ref -> t_construction_list -> t_construction_list;;

val bouger_objet :
  t_objet_graphique ref -> t_repere ->
    t_coords_int -> t_construction_list -> unit;;

val objets_proches
  : t_repere -> t_coords_int -> t_construction_list -> t_construction_list;;
val points_proches
  : t_repere -> t_coords_int -> t_construction_list -> t_construction_list;;
val droites_proches
  : t_repere -> t_coords_int -> t_construction_list -> t_construction_list;;

val redessine : [ `window] GDraw.drawable -> t_repere -> t_construction_list -> unit;;
