open List;;
open Objets_graphiques;;
open Objets_point;;
open Graphx;;
open Fonctions;;

class type t_objet_point_clique =
object
  inherit t_objet_point
  method recalcule : unit
  method depend_de : t_objet_graphique ref -> bool
  method dependance : t_objet_graphique ref list
  method bouge : t_repere -> t_coords_int -> unit
end
;;

class objet_point_clique repinit coordsinit =
object (self)
  inherit objet_point as obp
    
  method recalcule = ()
  method depend_de o = false
  method dependance = []
  method bouge rep cint =
    self#change_parametres {coords = [ecran_vers_papier rep cint];
			    equation = []};
    self#deplace_objet
  initializer
    self#change_parametres {coords = [ecran_vers_papier repinit coordsinit];
			    equation = []}
end;;


